Index: c/src/ada-tests/tmtests/tm02/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm02/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm02/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,38 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_MAXIMUM_SEMAPHORES         101
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm03/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm03/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm03/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,38 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_MAXIMUM_SEMAPHORES         101
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm04/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm04/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm04/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_SEMAPHORES         1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm05/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm05/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm05/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,38 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_MAXIMUM_SEMAPHORES         101
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm06/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm06/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm06/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,38 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_MAXIMUM_SEMAPHORES         101
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm07/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm07/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm07/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,38 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_MAXIMUM_SEMAPHORES         101
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm08/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm08/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm08/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,38 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_MAXIMUM_SEMAPHORES         101
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm09/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm09/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm09/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,36 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm10/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm10/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm10/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              110
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm11/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm11/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm11/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm12/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm12/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm12/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm13/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm13/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm13/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm14/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm14/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm14/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm15/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm15/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm15/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm16/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm16/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm16/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm17/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm17/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm17/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm18/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm18/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm18/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm19/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm19/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm19/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm20/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm20/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm20/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_PARTITIONS         1
+#define CONFIGURE_MAXIMUM_REGIONS            1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm21/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm21/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm21/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,43 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              102
+#define CONFIGURE_MAXIMUM_TIMERS             100
+#define CONFIGURE_MAXIMUM_SEMAPHORES         100
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     100
+#define CONFIGURE_MAXIMUM_PARTITIONS         100
+#define CONFIGURE_MAXIMUM_REGIONS            100
+#define CONFIGURE_MAXIMUM_PORTS              100
+#define CONFIGURE_MAXIMUM_PERIODS            100
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm22/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm22/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm22/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              103
+#define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm23/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm23/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm23/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_TIMERS             110
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm24/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm24/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm24/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,36 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm25/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm25/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm25/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_SEMAPHORES         1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm26/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm26/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm26/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_SEMAPHORES         1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm27/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm27/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm27/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,36 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm28/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm28/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm28/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              2
+#define CONFIGURE_MAXIMUM_PORTS              1
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
Index: c/src/ada-tests/tmtests/tm29/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm29/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
+++ c/src/ada-tests/tmtests/tm29/config.h	(revision 9db72b4ba835583574403943be1aa73c75afe8ef)
@@ -0,0 +1,37 @@
+/*  config.h
+ *
+ *  This include file defines the Configuration Table for this test.
+ *
+ *  COPYRIGHT (c) 1989-1997.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may in
+ *  the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+
+/* configuration information */
+
+#define CONFIGURE_TMTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_TIMER_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS              111
+#define CONFIGURE_MAXIMUM_PERIODS            111
+#define CONFIGURE_TICKS_PER_TIMESLICE        0
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#define CONFIGURE_MAXIMUM_POSIX_THREADS              10
+#define CONFIGURE_MAXIMUM_POSIX_KEYS                 10
+#define CONFIGURE_MAXIMUM_POSIX_MUTEXES              20
+#define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
+
+#include <confdefs.h>
+
+/* end of include file */
